// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		819CD00124D2B3B400803FC4 /* TextData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 819CD00024D2B3B400803FC4 /* TextData.swift */; };
		AEB705B8ABFCCA3F815CFC32 /* Pods_Demo.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 69837164522A7FDBDA45C0B5 /* Pods_Demo.framework */; };
		D4AC1B2C2192D19700CAB052 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = D4AC1B2B2192D19700CAB052 /* AppDelegate.swift */; };
		D4AC1B2E2192D19700CAB052 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = D4AC1B2D2192D19700CAB052 /* ViewController.swift */; };
		D4AC1B312192D19700CAB052 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D4AC1B2F2192D19700CAB052 /* Main.storyboard */; };
		D4AC1B332192D19800CAB052 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = D4AC1B322192D19800CAB052 /* Assets.xcassets */; };
		D4AC1B362192D19800CAB052 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = D4AC1B342192D19800CAB052 /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		69837164522A7FDBDA45C0B5 /* Pods_Demo.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Demo.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		7C9C9084549B0D378E7BA5DD /* Pods-Demo.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Demo.release.xcconfig"; path = "Pods/Target Support Files/Pods-Demo/Pods-Demo.release.xcconfig"; sourceTree = "<group>"; };
		814D524027B3966A001556A5 /* ZNReader */ = {isa = PBXFileReference; lastKnownFileType = wrapper; name = ZNReader; path = ../../ZNReader; sourceTree = "<group>"; };
		819CD00024D2B3B400803FC4 /* TextData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TextData.swift; sourceTree = "<group>"; };
		82E4DDC55BC409DD33EE5D0C /* Pods-Demo.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Demo.debug.xcconfig"; path = "Pods/Target Support Files/Pods-Demo/Pods-Demo.debug.xcconfig"; sourceTree = "<group>"; };
		D4AC1B282192D19700CAB052 /* Demo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Demo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		D4AC1B2B2192D19700CAB052 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		D4AC1B2D2192D19700CAB052 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		D4AC1B302192D19700CAB052 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		D4AC1B322192D19800CAB052 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		D4AC1B352192D19800CAB052 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		D4AC1B372192D19800CAB052 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		D4AC1B252192D19700CAB052 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				AEB705B8ABFCCA3F815CFC32 /* Pods_Demo.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		66EF9FE119AF3711E04BFB89 /* Pods */ = {
			isa = PBXGroup;
			children = (
				82E4DDC55BC409DD33EE5D0C /* Pods-Demo.debug.xcconfig */,
				7C9C9084549B0D378E7BA5DD /* Pods-Demo.release.xcconfig */,
			);
			name = Pods;
			sourceTree = "<group>";
		};
		814D523C27B39166001556A5 /* Packages */ = {
			isa = PBXGroup;
			children = (
				814D524027B3966A001556A5 /* ZNReader */,
			);
			name = Packages;
			sourceTree = "<group>";
		};
		D4AC1B1F2192D19700CAB052 = {
			isa = PBXGroup;
			children = (
				814D523C27B39166001556A5 /* Packages */,
				D4AC1B2A2192D19700CAB052 /* Demo */,
				D4AC1B292192D19700CAB052 /* Products */,
				66EF9FE119AF3711E04BFB89 /* Pods */,
				FB42E48E965944937F283D34 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		D4AC1B292192D19700CAB052 /* Products */ = {
			isa = PBXGroup;
			children = (
				D4AC1B282192D19700CAB052 /* Demo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		D4AC1B2A2192D19700CAB052 /* Demo */ = {
			isa = PBXGroup;
			children = (
				D4AC1B2B2192D19700CAB052 /* AppDelegate.swift */,
				D4AC1B2D2192D19700CAB052 /* ViewController.swift */,
				819CD00024D2B3B400803FC4 /* TextData.swift */,
				D4AC1B2F2192D19700CAB052 /* Main.storyboard */,
				D4AC1B322192D19800CAB052 /* Assets.xcassets */,
				D4AC1B342192D19800CAB052 /* LaunchScreen.storyboard */,
				D4AC1B372192D19800CAB052 /* Info.plist */,
			);
			path = Demo;
			sourceTree = "<group>";
		};
		FB42E48E965944937F283D34 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				69837164522A7FDBDA45C0B5 /* Pods_Demo.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		D4AC1B272192D19700CAB052 /* Demo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = D4AC1B3A2192D19800CAB052 /* Build configuration list for PBXNativeTarget "Demo" */;
			buildPhases = (
				DE532BEF7085BDD88830F39B /* [CP] Check Pods Manifest.lock */,
				D4AC1B242192D19700CAB052 /* Sources */,
				D4AC1B252192D19700CAB052 /* Frameworks */,
				D4AC1B262192D19700CAB052 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Demo;
			packageProductDependencies = (
			);
			productName = Demo;
			productReference = D4AC1B282192D19700CAB052 /* Demo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		D4AC1B202192D19700CAB052 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1010;
				LastUpgradeCheck = 1010;
				ORGANIZATIONNAME = ncnk;
				TargetAttributes = {
					D4AC1B272192D19700CAB052 = {
						CreatedOnToolsVersion = 10.1;
					};
				};
			};
			buildConfigurationList = D4AC1B232192D19700CAB052 /* Build configuration list for PBXProject "Demo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = D4AC1B1F2192D19700CAB052;
			productRefGroup = D4AC1B292192D19700CAB052 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				D4AC1B272192D19700CAB052 /* Demo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		D4AC1B262192D19700CAB052 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D4AC1B362192D19800CAB052 /* LaunchScreen.storyboard in Resources */,
				D4AC1B332192D19800CAB052 /* Assets.xcassets in Resources */,
				D4AC1B312192D19700CAB052 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		DE532BEF7085BDD88830F39B /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Demo-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		D4AC1B242192D19700CAB052 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D4AC1B2E2192D19700CAB052 /* ViewController.swift in Sources */,
				819CD00124D2B3B400803FC4 /* TextData.swift in Sources */,
				D4AC1B2C2192D19700CAB052 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		D4AC1B2F2192D19700CAB052 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D4AC1B302192D19700CAB052 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		D4AC1B342192D19800CAB052 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				D4AC1B352192D19800CAB052 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		D4AC1B382192D19800CAB052 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = "";
			};
			name = Debug;
		};
		D4AC1B392192D19800CAB052 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				SWIFT_VERSION = "";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		D4AC1B3B2192D19800CAB052 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 82E4DDC55BC409DD33EE5D0C /* Pods-Demo.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 9RZG62CJSN;
				INFOPLIST_FILE = Demo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.readerDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		D4AC1B3C2192D19800CAB052 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 7C9C9084549B0D378E7BA5DD /* Pods-Demo.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Manual;
				DEVELOPMENT_TEAM = "";
				INFOPLIST_FILE = Demo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 9.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.ncnk.Demo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		D4AC1B232192D19700CAB052 /* Build configuration list for PBXProject "Demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D4AC1B382192D19800CAB052 /* Debug */,
				D4AC1B392192D19800CAB052 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		D4AC1B3A2192D19800CAB052 /* Build configuration list for PBXNativeTarget "Demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				D4AC1B3B2192D19800CAB052 /* Debug */,
				D4AC1B3C2192D19800CAB052 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = D4AC1B202192D19700CAB052 /* Project object */;
}
